import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';
import BackgroundCircle from "./BackgroundCircle";


const width = 960;
const height = 500;
const centerx = width / 2;
const centery = height / 2;
const eyesOffset = 100;
const lefteye = centerx - eyesOffset;
const righteye = centerx + eyesOffset;

const moutharc = arc()
    .innerRadius(0)
    .outerRadius(160)
    .startAngle(Math.PI/2)
    .endAngle(Math.PI * 3/2);



const App = () => (
  
  <svg width="960" height="500">
    <g transform = {`translate(${centerx}, ${centery})`}>
      < BackgroundCircle radius = {200} strokeWidth = "3"/>
      <circle r="40" cx={eyesOffset}  cy ={-60}/>
      <circle r="40" cx={-eyesOffset} cy ={-60} />
      <path d={moutharc()}/>
    </g>
  </svg>
);

const root = document.getElementById('root');
ReactDOM.render(<App />, root);
